Subject: Re: [v6ops] CPE Prefix Sub-Delegation on LAN

From: Tom Taylor <[email-masked]>
Date: Sat, 1 Jan 2011 11:43:27 -0500

Sorry to be a little late on this. Just regarding your final point, RFC
5969 provides a DHCPv4 option for configuration of the 6rd CE, including
the prefix.

On 22/12/2010 1:27 PM, [email-masked] wrote:
>> -----Original Message----- From: Fred Baker
>> [mailto:[email-masked]] Sent: Wednesday, December 22, 2010 6:12 PM
>>
...
>
> There might be some work to do to say how the dhcpv6 server in the
> CPE should get the prefix received from the ISP, also when the ISP is
> not using DHCPv6. For example, with 6rd. However, since the 6rd
> parameters have to be pre-provisioned or given via DHCP(v4), I can
> imagine that there's a way to sort this out without too much pain.
>
> Guillaume _______________________________________________ v6ops
> mailing list [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops
>
>

---

From: Joel Jaeggli <[email-masked]>
Date: Tue, 18 Jan 2011 19:44:12 -0800

On 12/23/10 4:42 AM, Mark Smith wrote:
> On Thu, 23 Dec 2010 13:06:23 +0100 Ole Troan <[email-masked]>
> wrote:
> 
>> [included the homenet list]
>> 
>>> There might be some work to do to say how the dhcpv6 server in
>>> the CPE should get the prefix received from the ISP, also when
>>> the ISP is not using DHCPv6. For example, with 6rd. However,
>>> since the 6rd parameters have to be pre-provisioned or given via
>>> DHCP(v4), I can imagine that there's a way to sort this out
>>> without too much pain.
>> 
>> with regards to 6rd, there is nothing special. a 6rd delegated
>> prefix is just like an DHCP PD prefix, for the purpose of internal
>> prefix assignment.
>> 
>> this problem within the charter of the (rejected) homenet WG
>> effort.
>> 
>> there are many ways internal prefix assignment and distribution of
>> other configuration information can be done. many of the ideas were
>> discussed during the zerouter BOF (which also failed making it into
>> a WG).
>> 
>> - Multi-link subnet routing (a shared off link /64 among all nodes.
>> host routes in OSPF) - ND proxy (restricted topology) -
>> hierarchical DHCP prefix delegation (restricted topology) - zOSPF
>> (https://datatracker.ietf.org/doc/draft-dimitri-zospf/) using a new
>> LSA in OSPF to distribute the site prefix plus a mechanism for 
>> collision detection.
>> 
> 
> Another possible addition to the list could be some of the mesh
> routing protocols that have/are being developed for wireless and/or
> sensor networks. As laptops have overtaken desktops in sales, and
> they usually come with wired and wireless interfaces, it probably
> wouldn't be much of an unacceptable burden for them to also act mesh
> routers. They'll do more throughput and have faster CPUs than most
> routers that would be present in most residential and SOHO
> environments.

Lateish commentary on this... I suspect that the operational experience
with v6 mesh networks is a little shallow to produce great
recomendations there... In addition to zerorouter here has been if I
recall real discussion of this in manet and autoconf.

> Regards, Mark.
> 
>> in my view this requires new work.
>> 
>> cheers, Ole _______________________________________________ v6ops
> _______________________________________________ v6ops mailing list 
> [email-masked] https://www.ietf.org/mailman/listinfo/v6ops
>